tbb::flow::interface7::split_node< TupleType, Allocator > Class Template Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | List of all members
tbb::flow::interface7::split_node< TupleType, Allocator > Class Template Reference

split_node: accepts a tuple as input, forwards each element of the tuple to its More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface7::split_node< TupleType, Allocator >:

## Public Types
typedef base_type::output_ports_type | output_ports_type
typedef base_type::output_type | output_type
typedef TupleType | input_type
typedef Allocator | allocator_type
Public Types inherited from tbb::flow::interface7::multifunction_node< TupleType, TupleType, rejecting, Allocator >
typedef TupleType | input_type
typedef null_type | output_type
typedef internal::wrap_tuple_elements < N, internal::multifunction_output, TupleType >::type | output_ports_type

## Public Member Functions
| split_node (graph &g)
| split_node (const split_node &other)
void | set_name (const char *name)
Public Member Functions inherited from tbb::flow::interface7::multifunction_node< TupleType, TupleType, rejecting, Allocator >
| multifunction_node (graph &g, size_t concurrency, Body body)
| multifunction_node (const multifunction_node &other)
void | set_name (const char *name)
Public Member Functions inherited from tbb::flow::interface7::graph_node
| graph_node (graph &g)
virtual void | extract (reset_flags f=rf_extract)

## Additional Inherited Members
Protected Member Functions inherited from tbb::flow::interface7::multifunction_node< TupleType, TupleType, rejecting, Allocator >
void | reset (__TBB_PFG_RESET_ARG(reset_flags f))
Protected Attributes inherited from tbb::flow::interface7::graph_node
graph & | my_graph
graph_node * | next
graph_node * | prev

## Detailed Description

### template<typename TupleType, typename Allocator = cache_aligned_allocator<TupleType>>
class tbb::flow::interface7::split_node< TupleType, Allocator >

split_node: accepts a tuple as input, forwards each element of the tuple to its

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.